import { ErrorLike } from '@adminide-stack/extension-api';
/**
 * An Error that aggregates multiple errors
 */
interface AggregateError extends Error {
    name: 'AggregateError';
    errors: Error[];
}
/**
 * DEPRECATED: use dataOrThrowErrors instead
 * Creates an aggregate error out of multiple provided error likes
 *
 * @param errors The errors or ErrorLikes to aggregate
 */
export declare const createAggregateError: (errors?: ErrorLike[]) => AggregateError;
/**
 * Improves error messages in case of ajax errors
 */
export declare const normalizeAjaxError: (err: any) => void;
export declare const isErrorLike: (val: any) => val is ErrorLike;
export {};
